---
# defaults file for libvirt_preseed

machines: {}

default_net_config:
  wan_if: "{% if ansible_default_ipv4 %}{{ ansible_default_ipv4.interface }}{% else %}{% if ansible_default_ipv6 %}{{ ansible_default_ipv6.interface }}{% else %}{% endif %}{% endif %}"
  name: preseed0
  bridge: "virbr-preseed0"
  bridge_mac: 52:54:00:ff:ff:01
  net: 192.168.122.0/24
  gateway: "{{ net_config.net |ipv4(1) |ipv4('address') }}"
  nameserver: "{{ net_config.net |ipv4(1) |ipv4('address') }}"
  net6: fd00::/64
  gateway6: "{{ net_config.net6 |ipv6(1) |ipv6('address') }}"
  nameserver6: "{{ net_config.net6 |ipv6(1) |ipv6('address') }}"
  dhcp_start: 200
  dhcp_end: 250
  dhcp6_start: 256
  dhcp6_end: 511
  domain: local

default_debian_config:
  suite: stable
  updates:
    - security
    - updates
  mirror:
    hostname: deb.debian.org
    directory: /debian
    proxy:
  participate_popularity_contest: false

default_machine_config:
  state: off
  locale: en_US
  keymap: us
  timezone: Europe/Berlin
  use_utc: true
  use_ntp: true
  host_disk: /dev/vda
  kernel_image: "linux-image-{% if ansible_architecture == 'x86_64' %}amd64{% else %}{{ fail('Only amd64 platform is supported') }}{% endif %}"
  os_variant: debian10
  ram: 1024
  cpus: 1
  storage: 10
  installer_location: "http://cdn-fastly.deb.debian.org/debian/dists/{{ debian_config.suite }}/main/installer-amd64/"

default_root_user:
    password_hash: False
    enable: false
    ssh_pub_keys: []

default_extra_user:
    password_hash: False
    enable: true
    uid: 1000
    name: user
    ssh_pub_keys: []
    sudo: no
    sudo_no_pass: false

